package com.galaxis.manatee.capsule.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/28 5:50 下午
 */
@Data
public class ChuanyunReimbursementDetailDTO {
    /**
     * 税率
     */
    private BigDecimal taxRate;

    /**
     * 财务实核金额
     */
    private BigDecimal confirmAmount;

    /**
     * 财务实核税额
     */
    private BigDecimal confirmTax;

    /**
     * 实核未税金额
     */
    private BigDecimal confirmAmountWithoutTax;

    /**
     * 报销科目
     */
    private String reimburseSubjectName;

    /**
     * 成本费用项目
     * 报销科目档案的U9成本费用项目栏位
     */
    private String reimburseSubjectCode;

    /**
     * 公司编码
     */
    private String reimburseUserCompanyCode;

    /**
     * 报销人成本中心编码
     */
    private String reimburseUserCostCode;

    /**
     * 项目编码
     */
    private String groupProjectCode;
    /**
     * 备注
     */
    private String content;
}
