package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import java.util.List;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunHistoryWorkGroupDO extends BasicSubDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789f1de93b6cb324bb5a35290e7c59a0ebc";

    /**
     * 工作组
     */
    @JsonProperty(value = "F0000010")
    private String workGroupName;

    /**
     * 工作负责人
     */
    @JsonProperty(value = "F0000004")
    private String workGroupPrincipal;

    /**
     * 子工作组
     */
    @JsonProperty(value = "F0000007")
    private String subWorkGroup;

    /**
     * 子工作组负责人
     */
    @JsonProperty(value = "F0000008")
    private String subWorkGroupPrincipal;

    @JsonProperty(value = "F0000009")
    private List<String> subWorkGroupMember;

    @JsonProperty(value = "F0000009Object")
    private List<ChuanyunWorkGroupMemberDO> subWorkGroupMemberObject;

}
