package com.galaxis.manatee.service;

import com.galaxis.manatee.entity.chuanyun.data.object.*;

import java.util.*;

/**
 * 工作组相关操作
 */
public interface WorkGroupService {

    /**
     * 汇算工作组级别实施费用
     * 已弃用
     */
    @Deprecated
    void implCost();

    /**
     * 推送工作组实施费用至氚云
     */
    void pushToChuanyun();

    /**
     * 根据objectId查询
     *
     * @param objectId
     * @return
     */
    ChuanyunWorkGroupDO findByObjectId(String objectId);

    /**
     * 根据父级表单获取工作组集合
     *
     * @param parentObjectId
     * @return
     */
    List<ChuanyunWorkGroupDO> findByParentObjectId(String parentObjectId);

    ChuanyunHistoryWorkGroupDO findInHistoryByObjectId(String objectId);

    void implAllCost();

}
